Subject: Re: problem with commit abae042

From: Danny Milosavljevic <[email-masked]>
Date: Sat, 15 Apr 2017 20:56:31 +0200

Hi,

On Sat, 15 Apr 2017 20:17:59 +0200
Mathieu Othacehe <[email-masked]> wrote:

> I think there's a problem with commit abae042 :
> 
> * profile-grub-entries become unused and is still present.

I know, I can't remove it without review, far too dangerous.

> * When using switch-generation, operating-system-bootcfg is not
> * called. So, the kernel arguments are not correctly set (--root,
> * --system and --load), and the resulting entries in grub.cfg are broken.

Yes, indeed.  I'm working on it.  If I can't get it to work today I'll back it out again.

Too bad this is such a huge changeset - it's quite difficult to find a safe path.

Do you have an idea how to fix it? 

Would it be good to press forward with the other patches or should I back it out?